package ru.kolevatykh.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-03-22T23:51:36.705+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.kolevatykh.ru/", name = "ISessionEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ISessionEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/getUserRequest", output = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/getUserResponse")
    @RequestWrapper(localName = "getUser", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetUser")
    @ResponseWrapper(localName = "getUserResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.User getUser(
        @WebParam(name = "session", targetNamespace = "")
        ru.kolevatykh.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/closeSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/closeSessionResponse")
    @RequestWrapper(localName = "closeSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseSession")
    @ResponseWrapper(localName = "closeSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseSessionResponse")
    public void closeSession(
        @WebParam(name = "session", targetNamespace = "")
        ru.kolevatykh.tm.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/closeAllSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/closeAllSessionResponse")
    @RequestWrapper(localName = "closeAllSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseAllSession")
    @ResponseWrapper(localName = "closeAllSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.CloseAllSessionResponse")
    public void closeAllSession();

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/getListSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/getListSessionResponse")
    @RequestWrapper(localName = "getListSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetListSession")
    @ResponseWrapper(localName = "getListSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.GetListSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Session> getListSession();

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/openSessionRequest", output = "http://endpoint.tm.kolevatykh.ru/ISessionEndpoint/openSessionResponse")
    @RequestWrapper(localName = "openSession", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.OpenSession")
    @ResponseWrapper(localName = "openSessionResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.OpenSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.Session openSession(
        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    );
}
